Skip to main content
PATCH
/
projects
/
{projectId}
/
whatsapp-business
/
accounts
/
{accountId}
/
templates
/
{templateId}
Edit a WhatsApp Business message template
curl --request PATCH \
  --url https://spectrum.photon.codes/projects/{projectId}/whatsapp-business/accounts/{accountId}/templates/{templateId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "components": [
    {
      "type": "<string>"
    }
  ],
  "messageSendTtlSeconds": 123
}
'
import requests

url = "https://spectrum.photon.codes/projects/{projectId}/whatsapp-business/accounts/{accountId}/templates/{templateId}"

payload = {
"components": [{ "type": "<string>" }],
"messageSendTtlSeconds": 123
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({components: [{type: '<string>'}], messageSendTtlSeconds: 123})
};

fetch('https://spectrum.photon.codes/projects/{projectId}/whatsapp-business/accounts/{accountId}/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "succeed": true,
  "data": {
    "templateId": "<string>",
    "success": true
  }
}

Path Parameters

accountId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
templateId
string
required
Minimum string length: 1
projectId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

components
object[]
Minimum array length: 1
category
enum<string>
Available options:
MARKETING,
UTILITY,
AUTHENTICATION
messageSendTtlSeconds
integer
Required range: x <= 9007199254740991
{key}
any

Response

200 - application/json

Response for status 200

succeed
boolean
required
data
object
required